commit afe66e5c06e431e1cd8409a3ea3843eb4bed1dcf
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Aug 19 00:16:59 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index f55ba346158..2d7ea562fc5 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,17 @@
+2020-08-18  Uroš Bizjak  <ubizjak@gmail.com>
+
+	PR target/96536
+	* config/i386/i386.md (restore_stack_nonlocal):
+	Add missing compare RTX.
+
+2020-08-18  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/96562
+	PR target/93897
+	* config/i386/i386-expand.c (ix86_expand_pinsr): Don't use
+	pinsr for TImode.
+	(ix86_expand_pextr): Don't use pextr for TImode.
+
 2020-08-14  Jan Hubicka  <jh@suse.cz>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 3b29b8dc124..a8098fbd6e3 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200818
+20200819
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index aa7b814e999..4484d0b1433 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,11 @@
+2020-08-18  Jason Merrill  <jason@redhat.com>
+
+	PR c++/96199
+	* pt.c (maybe_dependent_member_ref): New.
+	(tsubst_copy) [CONST_DECL]: Use it.
+	[VAR_DECL]: Likewise.
+	(tsubst_aggr_type): Handle nested type.
+
 2020-08-13  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index c973d64c7c2..945cf410fd8 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,12 @@
+2020-08-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96301
+	* decl.cc (DeclVisitor::visit (FuncDeclaration *)): Only return
+	non-trivial structs by invisible reference.
+
 2020-08-01  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 896d3dc8c89..f8dbeb5cc41 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,22 @@
+2020-08-18  Jason Merrill  <jason@redhat.com>
+
+	PR c++/96199
+	* g++.dg/cpp2a/class-deduction-alias4.C: New test.
+
+2020-08-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96301
+	* gdc.dg/pr96301a.d: New test.
+	* gdc.dg/pr96301b.d: New test.
+	* gdc.dg/pr96301c.d: New test.
+
+2020-08-18  liuhongt  <hongtao.liu@intel.com>
+
+	* gcc.target/i386/pr96562-1.c: New test.
+
 2020-08-14  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

